// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.12.4
// source: event_listener_spec/event_listener.proto

package event_listener_spec

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type NewDeviceOnboardedInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PeerId        string  `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	Cpu           float32 `protobuf:"fixed32,2,opt,name=cpu,proto3" json:"cpu,omitempty"`
	Ram           float32 `protobuf:"fixed32,3,opt,name=ram,proto3" json:"ram,omitempty"`
	Network       float32 `protobuf:"fixed32,4,opt,name=network,proto3" json:"network,omitempty"`
	DedicatedTime float32 `protobuf:"fixed32,5,opt,name=dedicated_time,json=dedicatedTime,proto3" json:"dedicated_time,omitempty"`
	Timestamp     float32 `protobuf:"fixed32,6,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *NewDeviceOnboardedInput) Reset() {
	*x = NewDeviceOnboardedInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NewDeviceOnboardedInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NewDeviceOnboardedInput) ProtoMessage() {}

func (x *NewDeviceOnboardedInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NewDeviceOnboardedInput.ProtoReflect.Descriptor instead.
func (*NewDeviceOnboardedInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{0}
}

func (x *NewDeviceOnboardedInput) GetPeerId() string {
	if x != nil {
		return x.PeerId
	}
	return ""
}

func (x *NewDeviceOnboardedInput) GetCpu() float32 {
	if x != nil {
		return x.Cpu
	}
	return 0
}

func (x *NewDeviceOnboardedInput) GetRam() float32 {
	if x != nil {
		return x.Ram
	}
	return 0
}

func (x *NewDeviceOnboardedInput) GetNetwork() float32 {
	if x != nil {
		return x.Network
	}
	return 0
}

func (x *NewDeviceOnboardedInput) GetDedicatedTime() float32 {
	if x != nil {
		return x.DedicatedTime
	}
	return 0
}

func (x *NewDeviceOnboardedInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type NewDeviceOnboardedOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PeerId string `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
}

func (x *NewDeviceOnboardedOutput) Reset() {
	*x = NewDeviceOnboardedOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NewDeviceOnboardedOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NewDeviceOnboardedOutput) ProtoMessage() {}

func (x *NewDeviceOnboardedOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NewDeviceOnboardedOutput.ProtoReflect.Descriptor instead.
func (*NewDeviceOnboardedOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{1}
}

func (x *NewDeviceOnboardedOutput) GetPeerId() string {
	if x != nil {
		return x.PeerId
	}
	return ""
}

type DeviceStatusChangeInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PeerId    string  `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	Status    string  `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
	Timestamp float32 `protobuf:"fixed32,3,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *DeviceStatusChangeInput) Reset() {
	*x = DeviceStatusChangeInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeviceStatusChangeInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeviceStatusChangeInput) ProtoMessage() {}

func (x *DeviceStatusChangeInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeviceStatusChangeInput.ProtoReflect.Descriptor instead.
func (*DeviceStatusChangeInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{2}
}

func (x *DeviceStatusChangeInput) GetPeerId() string {
	if x != nil {
		return x.PeerId
	}
	return ""
}

func (x *DeviceStatusChangeInput) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

func (x *DeviceStatusChangeInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type DeviceStatusChangeOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PeerId string `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
}

func (x *DeviceStatusChangeOutput) Reset() {
	*x = DeviceStatusChangeOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeviceStatusChangeOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeviceStatusChangeOutput) ProtoMessage() {}

func (x *DeviceStatusChangeOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeviceStatusChangeOutput.ProtoReflect.Descriptor instead.
func (*DeviceStatusChangeOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{3}
}

func (x *DeviceStatusChangeOutput) GetPeerId() string {
	if x != nil {
		return x.PeerId
	}
	return ""
}

type DeviceResource struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Cpu           float32 `protobuf:"fixed32,1,opt,name=cpu,proto3" json:"cpu,omitempty"`
	Ram           float32 `protobuf:"fixed32,2,opt,name=ram,proto3" json:"ram,omitempty"`
	Network       float32 `protobuf:"fixed32,3,opt,name=network,proto3" json:"network,omitempty"`
	DedicatedTime float32 `protobuf:"fixed32,4,opt,name=dedicated_time,json=dedicatedTime,proto3" json:"dedicated_time,omitempty"`
}

func (x *DeviceResource) Reset() {
	*x = DeviceResource{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeviceResource) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeviceResource) ProtoMessage() {}

func (x *DeviceResource) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeviceResource.ProtoReflect.Descriptor instead.
func (*DeviceResource) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{4}
}

func (x *DeviceResource) GetCpu() float32 {
	if x != nil {
		return x.Cpu
	}
	return 0
}

func (x *DeviceResource) GetRam() float32 {
	if x != nil {
		return x.Ram
	}
	return 0
}

func (x *DeviceResource) GetNetwork() float32 {
	if x != nil {
		return x.Network
	}
	return 0
}

func (x *DeviceResource) GetDedicatedTime() float32 {
	if x != nil {
		return x.DedicatedTime
	}
	return 0
}

type DeviceResourceChangeInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PeerId                   string          `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	ChangedAttributeAndValue *DeviceResource `protobuf:"bytes,2,opt,name=changed_attribute_and_value,json=changedAttributeAndValue,proto3" json:"changed_attribute_and_value,omitempty"`
	Timestamp                float32         `protobuf:"fixed32,3,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *DeviceResourceChangeInput) Reset() {
	*x = DeviceResourceChangeInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeviceResourceChangeInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeviceResourceChangeInput) ProtoMessage() {}

func (x *DeviceResourceChangeInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeviceResourceChangeInput.ProtoReflect.Descriptor instead.
func (*DeviceResourceChangeInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{5}
}

func (x *DeviceResourceChangeInput) GetPeerId() string {
	if x != nil {
		return x.PeerId
	}
	return ""
}

func (x *DeviceResourceChangeInput) GetChangedAttributeAndValue() *DeviceResource {
	if x != nil {
		return x.ChangedAttributeAndValue
	}
	return nil
}

func (x *DeviceResourceChangeInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type DeviceResourceChangeOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PeerId string `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
}

func (x *DeviceResourceChangeOutput) Reset() {
	*x = DeviceResourceChangeOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeviceResourceChangeOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeviceResourceChangeOutput) ProtoMessage() {}

func (x *DeviceResourceChangeOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeviceResourceChangeOutput.ProtoReflect.Descriptor instead.
func (*DeviceResourceChangeOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{6}
}

func (x *DeviceResourceChangeOutput) GetPeerId() string {
	if x != nil {
		return x.PeerId
	}
	return ""
}

type DeviceResourceConfigInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PeerId                   string          `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	ChangedAttributeAndValue *DeviceResource `protobuf:"bytes,2,opt,name=changed_attribute_and_value,json=changedAttributeAndValue,proto3" json:"changed_attribute_and_value,omitempty"`
	Timestamp                float32         `protobuf:"fixed32,3,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *DeviceResourceConfigInput) Reset() {
	*x = DeviceResourceConfigInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeviceResourceConfigInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeviceResourceConfigInput) ProtoMessage() {}

func (x *DeviceResourceConfigInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeviceResourceConfigInput.ProtoReflect.Descriptor instead.
func (*DeviceResourceConfigInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{7}
}

func (x *DeviceResourceConfigInput) GetPeerId() string {
	if x != nil {
		return x.PeerId
	}
	return ""
}

func (x *DeviceResourceConfigInput) GetChangedAttributeAndValue() *DeviceResource {
	if x != nil {
		return x.ChangedAttributeAndValue
	}
	return nil
}

func (x *DeviceResourceConfigInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type DeviceResourceConfigOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Response string `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
}

func (x *DeviceResourceConfigOutput) Reset() {
	*x = DeviceResourceConfigOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeviceResourceConfigOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeviceResourceConfigOutput) ProtoMessage() {}

func (x *DeviceResourceConfigOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeviceResourceConfigOutput.ProtoReflect.Descriptor instead.
func (*DeviceResourceConfigOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{8}
}

func (x *DeviceResourceConfigOutput) GetResponse() string {
	if x != nil {
		return x.Response
	}
	return ""
}

type NewServiceInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ServiceId          string  `protobuf:"bytes,1,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	ServiceName        string  `protobuf:"bytes,2,opt,name=service_name,json=serviceName,proto3" json:"service_name,omitempty"`
	ServiceDescription string  `protobuf:"bytes,3,opt,name=service_description,json=serviceDescription,proto3" json:"service_description,omitempty"`
	Timestamp          float32 `protobuf:"fixed32,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *NewServiceInput) Reset() {
	*x = NewServiceInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NewServiceInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NewServiceInput) ProtoMessage() {}

func (x *NewServiceInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NewServiceInput.ProtoReflect.Descriptor instead.
func (*NewServiceInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{9}
}

func (x *NewServiceInput) GetServiceId() string {
	if x != nil {
		return x.ServiceId
	}
	return ""
}

func (x *NewServiceInput) GetServiceName() string {
	if x != nil {
		return x.ServiceName
	}
	return ""
}

func (x *NewServiceInput) GetServiceDescription() string {
	if x != nil {
		return x.ServiceDescription
	}
	return ""
}

func (x *NewServiceInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type NewServiceOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Response string `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
}

func (x *NewServiceOutput) Reset() {
	*x = NewServiceOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NewServiceOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NewServiceOutput) ProtoMessage() {}

func (x *NewServiceOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NewServiceOutput.ProtoReflect.Descriptor instead.
func (*NewServiceOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{10}
}

func (x *NewServiceOutput) GetResponse() string {
	if x != nil {
		return x.Response
	}
	return ""
}

type ServiceStatusInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ServiceId           string  `protobuf:"bytes,1,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	PeerId              string  `protobuf:"bytes,2,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	OnlineOfflineStatus string  `protobuf:"bytes,3,opt,name=online_offline_status,json=onlineOfflineStatus,proto3" json:"online_offline_status,omitempty"`
	Timestamp           float32 `protobuf:"fixed32,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *ServiceStatusInput) Reset() {
	*x = ServiceStatusInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServiceStatusInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServiceStatusInput) ProtoMessage() {}

func (x *ServiceStatusInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServiceStatusInput.ProtoReflect.Descriptor instead.
func (*ServiceStatusInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{11}
}

func (x *ServiceStatusInput) GetServiceId() string {
	if x != nil {
		return x.ServiceId
	}
	return ""
}

func (x *ServiceStatusInput) GetPeerId() string {
	if x != nil {
		return x.PeerId
	}
	return ""
}

func (x *ServiceStatusInput) GetOnlineOfflineStatus() string {
	if x != nil {
		return x.OnlineOfflineStatus
	}
	return ""
}

func (x *ServiceStatusInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type ServiceStatusOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Response string `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
}

func (x *ServiceStatusOutput) Reset() {
	*x = ServiceStatusOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServiceStatusOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServiceStatusOutput) ProtoMessage() {}

func (x *ServiceStatusOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServiceStatusOutput.ProtoReflect.Descriptor instead.
func (*ServiceStatusOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{12}
}

func (x *ServiceStatusOutput) GetResponse() string {
	if x != nil {
		return x.Response
	}
	return ""
}

type ServiceCallInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CallId              float32 `protobuf:"fixed32,1,opt,name=call_id,json=callId,proto3" json:"call_id,omitempty"`
	PeerIdOfServiceHost string  `protobuf:"bytes,2,opt,name=peer_id_of_service_host,json=peerIdOfServiceHost,proto3" json:"peer_id_of_service_host,omitempty"`
	ServiceId           string  `protobuf:"bytes,3,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	CpuUsed             float32 `protobuf:"fixed32,4,opt,name=cpu_used,json=cpuUsed,proto3" json:"cpu_used,omitempty"`
	MemoryUsed          float32 `protobuf:"fixed32,5,opt,name=memory_used,json=memoryUsed,proto3" json:"memory_used,omitempty"`
	NetworkBwUsed       float32 `protobuf:"fixed32,6,opt,name=network_bw_used,json=networkBwUsed,proto3" json:"network_bw_used,omitempty"`
	TimeTaken           float32 `protobuf:"fixed32,7,opt,name=time_taken,json=timeTaken,proto3" json:"time_taken,omitempty"`
	Status              string  `protobuf:"bytes,8,opt,name=status,proto3" json:"status,omitempty"`
	Timestamp           float32 `protobuf:"fixed32,9,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *ServiceCallInput) Reset() {
	*x = ServiceCallInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServiceCallInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServiceCallInput) ProtoMessage() {}

func (x *ServiceCallInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServiceCallInput.ProtoReflect.Descriptor instead.
func (*ServiceCallInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{13}
}

func (x *ServiceCallInput) GetCallId() float32 {
	if x != nil {
		return x.CallId
	}
	return 0
}

func (x *ServiceCallInput) GetPeerIdOfServiceHost() string {
	if x != nil {
		return x.PeerIdOfServiceHost
	}
	return ""
}

func (x *ServiceCallInput) GetServiceId() string {
	if x != nil {
		return x.ServiceId
	}
	return ""
}

func (x *ServiceCallInput) GetCpuUsed() float32 {
	if x != nil {
		return x.CpuUsed
	}
	return 0
}

func (x *ServiceCallInput) GetMemoryUsed() float32 {
	if x != nil {
		return x.MemoryUsed
	}
	return 0
}

func (x *ServiceCallInput) GetNetworkBwUsed() float32 {
	if x != nil {
		return x.NetworkBwUsed
	}
	return 0
}

func (x *ServiceCallInput) GetTimeTaken() float32 {
	if x != nil {
		return x.TimeTaken
	}
	return 0
}

func (x *ServiceCallInput) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

func (x *ServiceCallInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type ServiceCallOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Response string `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
}

func (x *ServiceCallOutput) Reset() {
	*x = ServiceCallOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServiceCallOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServiceCallOutput) ProtoMessage() {}

func (x *ServiceCallOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServiceCallOutput.ProtoReflect.Descriptor instead.
func (*ServiceCallOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{14}
}

func (x *ServiceCallOutput) GetResponse() string {
	if x != nil {
		return x.Response
	}
	return ""
}

type ServiceRunInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CallId              float32 `protobuf:"fixed32,1,opt,name=call_id,json=callId,proto3" json:"call_id,omitempty"`
	PeerIdOfServiceHost string  `protobuf:"bytes,2,opt,name=peer_id_of_service_host,json=peerIdOfServiceHost,proto3" json:"peer_id_of_service_host,omitempty"`
	Status              string  `protobuf:"bytes,3,opt,name=status,proto3" json:"status,omitempty"`
	Timestamp           float32 `protobuf:"fixed32,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *ServiceRunInput) Reset() {
	*x = ServiceRunInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServiceRunInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServiceRunInput) ProtoMessage() {}

func (x *ServiceRunInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServiceRunInput.ProtoReflect.Descriptor instead.
func (*ServiceRunInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{15}
}

func (x *ServiceRunInput) GetCallId() float32 {
	if x != nil {
		return x.CallId
	}
	return 0
}

func (x *ServiceRunInput) GetPeerIdOfServiceHost() string {
	if x != nil {
		return x.PeerIdOfServiceHost
	}
	return ""
}

func (x *ServiceRunInput) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

func (x *ServiceRunInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type ServiceRunOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Response string `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
}

func (x *ServiceRunOutput) Reset() {
	*x = ServiceRunOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServiceRunOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServiceRunOutput) ProtoMessage() {}

func (x *ServiceRunOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServiceRunOutput.ProtoReflect.Descriptor instead.
func (*ServiceRunOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{16}
}

func (x *ServiceRunOutput) GetResponse() string {
	if x != nil {
		return x.Response
	}
	return ""
}

type ServiceRemoveInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ServiceId string  `protobuf:"bytes,1,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	Timestamp float32 `protobuf:"fixed32,2,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *ServiceRemoveInput) Reset() {
	*x = ServiceRemoveInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServiceRemoveInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServiceRemoveInput) ProtoMessage() {}

func (x *ServiceRemoveInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServiceRemoveInput.ProtoReflect.Descriptor instead.
func (*ServiceRemoveInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{17}
}

func (x *ServiceRemoveInput) GetServiceId() string {
	if x != nil {
		return x.ServiceId
	}
	return ""
}

func (x *ServiceRemoveInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type ServiceRemoveOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Response string `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
}

func (x *ServiceRemoveOutput) Reset() {
	*x = ServiceRemoveOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServiceRemoveOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServiceRemoveOutput) ProtoMessage() {}

func (x *ServiceRemoveOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServiceRemoveOutput.ProtoReflect.Descriptor instead.
func (*ServiceRemoveOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{18}
}

func (x *ServiceRemoveOutput) GetResponse() string {
	if x != nil {
		return x.Response
	}
	return ""
}

type NtxPaymentInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	AmountOfNtx float32 `protobuf:"fixed32,1,opt,name=amount_of_ntx,json=amountOfNtx,proto3" json:"amount_of_ntx,omitempty"`
	ServiceId   string  `protobuf:"bytes,2,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	PeerId      string  `protobuf:"bytes,3,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	Timestamp   float32 `protobuf:"fixed32,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
}

func (x *NtxPaymentInput) Reset() {
	*x = NtxPaymentInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NtxPaymentInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NtxPaymentInput) ProtoMessage() {}

func (x *NtxPaymentInput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NtxPaymentInput.ProtoReflect.Descriptor instead.
func (*NtxPaymentInput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{19}
}

func (x *NtxPaymentInput) GetAmountOfNtx() float32 {
	if x != nil {
		return x.AmountOfNtx
	}
	return 0
}

func (x *NtxPaymentInput) GetServiceId() string {
	if x != nil {
		return x.ServiceId
	}
	return ""
}

func (x *NtxPaymentInput) GetPeerId() string {
	if x != nil {
		return x.PeerId
	}
	return ""
}

func (x *NtxPaymentInput) GetTimestamp() float32 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

type NtxPaymentOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Response string `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
}

func (x *NtxPaymentOutput) Reset() {
	*x = NtxPaymentOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_event_listener_spec_event_listener_proto_msgTypes[20]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NtxPaymentOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NtxPaymentOutput) ProtoMessage() {}

func (x *NtxPaymentOutput) ProtoReflect() protoreflect.Message {
	mi := &file_event_listener_spec_event_listener_proto_msgTypes[20]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NtxPaymentOutput.ProtoReflect.Descriptor instead.
func (*NtxPaymentOutput) Descriptor() ([]byte, []int) {
	return file_event_listener_spec_event_listener_proto_rawDescGZIP(), []int{20}
}

func (x *NtxPaymentOutput) GetResponse() string {
	if x != nil {
		return x.Response
	}
	return ""
}

var File_event_listener_spec_event_listener_proto protoreflect.FileDescriptor

var file_event_listener_spec_event_listener_proto_rawDesc = []byte{
	0x0a, 0x28, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72,
	0x5f, 0x73, 0x70, 0x65, 0x63, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x6c, 0x69, 0x73, 0x74,
	0x65, 0x6e, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xb5, 0x01, 0x0a, 0x17, 0x4e,
	0x65, 0x77, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x4f, 0x6e, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x65,
	0x64, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x70, 0x65, 0x65, 0x72, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x65, 0x65, 0x72, 0x49, 0x64, 0x12,
	0x10, 0x0a, 0x03, 0x63, 0x70, 0x75, 0x18, 0x02, 0x20, 0x01, 0x28, 0x02, 0x52, 0x03, 0x63, 0x70,
	0x75, 0x12, 0x10, 0x0a, 0x03, 0x72, 0x61, 0x6d, 0x18, 0x03, 0x20, 0x01, 0x28, 0x02, 0x52, 0x03,
	0x72, 0x61, 0x6d, 0x12, 0x18, 0x0a, 0x07, 0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x02, 0x52, 0x07, 0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x12, 0x25, 0x0a,
	0x0e, 0x64, 0x65, 0x64, 0x69, 0x63, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0d, 0x64, 0x65, 0x64, 0x69, 0x63, 0x61, 0x74, 0x65, 0x64,
	0x54, 0x69, 0x6d, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x18, 0x06, 0x20, 0x01, 0x28, 0x02, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x22, 0x33, 0x0a, 0x18, 0x4e, 0x65, 0x77, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x4f,
	0x6e, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x65, 0x64, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x17,
	0x0a, 0x07, 0x70, 0x65, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x70, 0x65, 0x65, 0x72, 0x49, 0x64, 0x22, 0x68, 0x0a, 0x17, 0x44, 0x65, 0x76, 0x69, 0x63,
	0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x49, 0x6e, 0x70,
	0x75, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x70, 0x65, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x65, 0x65, 0x72, 0x49, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x02, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x22, 0x33, 0x0a, 0x18, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x17, 0x0a,
	0x07, 0x70, 0x65, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x70, 0x65, 0x65, 0x72, 0x49, 0x64, 0x22, 0x75, 0x0a, 0x0e, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65,
	0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x63, 0x70, 0x75, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x02, 0x52, 0x03, 0x63, 0x70, 0x75, 0x12, 0x10, 0x0a, 0x03, 0x72, 0x61,
	0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x02, 0x52, 0x03, 0x72, 0x61, 0x6d, 0x12, 0x18, 0x0a, 0x07,
	0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x18, 0x03, 0x20, 0x01, 0x28, 0x02, 0x52, 0x07, 0x6e,
	0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x12, 0x25, 0x0a, 0x0e, 0x64, 0x65, 0x64, 0x69, 0x63, 0x61,
	0x74, 0x65, 0x64, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0d,
	0x64, 0x65, 0x64, 0x69, 0x63, 0x61, 0x74, 0x65, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x22, 0xa2, 0x01,
	0x0a, 0x19, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x70,
	0x65, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x65,
	0x65, 0x72, 0x49, 0x64, 0x12, 0x4e, 0x0a, 0x1b, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x5f,
	0x61, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x5f, 0x61, 0x6e, 0x64, 0x5f, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x44, 0x65, 0x76, 0x69,
	0x63, 0x65, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x52, 0x18, 0x63, 0x68, 0x61, 0x6e,
	0x67, 0x65, 0x64, 0x41, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x41, 0x6e, 0x64, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x18, 0x03, 0x20, 0x01, 0x28, 0x02, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x22, 0x35, 0x0a, 0x1a, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74,
	0x12, 0x17, 0x0a, 0x07, 0x70, 0x65, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x70, 0x65, 0x65, 0x72, 0x49, 0x64, 0x22, 0xa2, 0x01, 0x0a, 0x19, 0x44, 0x65,
	0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x43, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x70, 0x65, 0x65, 0x72, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x65, 0x65, 0x72, 0x49, 0x64,
	0x12, 0x4e, 0x0a, 0x1b, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x74, 0x72,
	0x69, 0x62, 0x75, 0x74, 0x65, 0x5f, 0x61, 0x6e, 0x64, 0x5f, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x52, 0x18, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x41,
	0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x41, 0x6e, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x12, 0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x02, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x22, 0x38,
	0x0a, 0x1a, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x1a, 0x0a, 0x08,
	0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xa2, 0x01, 0x0a, 0x0f, 0x4e, 0x65, 0x77,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x1d, 0x0a, 0x0a,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x09, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x49, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0b, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2f,
	0x0a, 0x13, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x12, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x02, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x22, 0x2e, 0x0a,
	0x10, 0x4e, 0x65, 0x77, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x4f, 0x75, 0x74, 0x70, 0x75,
	0x74, 0x12, 0x1a, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x9e, 0x01,
	0x0a, 0x12, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x49,
	0x6e, 0x70, 0x75, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x70, 0x65, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x65, 0x65, 0x72, 0x49, 0x64, 0x12, 0x32, 0x0a, 0x15,
	0x6f, 0x6e, 0x6c, 0x69, 0x6e, 0x65, 0x5f, 0x6f, 0x66, 0x66, 0x6c, 0x69, 0x6e, 0x65, 0x5f, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x6f, 0x6e, 0x6c,
	0x69, 0x6e, 0x65, 0x4f, 0x66, 0x66, 0x6c, 0x69, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x12, 0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x02, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x22, 0x31,
	0x0a, 0x13, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x4f,
	0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0xb9, 0x02, 0x0a, 0x10, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x43, 0x61, 0x6c,
	0x6c, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x63, 0x61, 0x6c, 0x6c, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x02, 0x52, 0x06, 0x63, 0x61, 0x6c, 0x6c, 0x49, 0x64, 0x12,
	0x34, 0x0a, 0x17, 0x70, 0x65, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x5f, 0x6f, 0x66, 0x5f, 0x73, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x13, 0x70, 0x65, 0x65, 0x72, 0x49, 0x64, 0x4f, 0x66, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x48, 0x6f, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x49, 0x64, 0x12, 0x19, 0x0a, 0x08, 0x63, 0x70, 0x75, 0x5f, 0x75, 0x73, 0x65, 0x64,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x02, 0x52, 0x07, 0x63, 0x70, 0x75, 0x55, 0x73, 0x65, 0x64, 0x12,
	0x1f, 0x0a, 0x0b, 0x6d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x5f, 0x75, 0x73, 0x65, 0x64, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x02, 0x52, 0x0a, 0x6d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x55, 0x73, 0x65, 0x64,
	0x12, 0x26, 0x0a, 0x0f, 0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x5f, 0x62, 0x77, 0x5f, 0x75,
	0x73, 0x65, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0d, 0x6e, 0x65, 0x74, 0x77, 0x6f,
	0x72, 0x6b, 0x42, 0x77, 0x55, 0x73, 0x65, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x74, 0x69, 0x6d, 0x65,
	0x5f, 0x74, 0x61, 0x6b, 0x65, 0x6e, 0x18, 0x07, 0x20, 0x01, 0x28, 0x02, 0x52, 0x09, 0x74, 0x69,
	0x6d, 0x65, 0x54, 0x61, 0x6b, 0x65, 0x6e, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12,
	0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x09, 0x20, 0x01,
	0x28, 0x02, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x22, 0x2f, 0x0a,
	0x11, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x43, 0x61, 0x6c, 0x6c, 0x4f, 0x75, 0x74, 0x70,
	0x75, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x96,
	0x01, 0x0a, 0x0f, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x75, 0x6e, 0x49, 0x6e, 0x70,
	0x75, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x63, 0x61, 0x6c, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x02, 0x52, 0x06, 0x63, 0x61, 0x6c, 0x6c, 0x49, 0x64, 0x12, 0x34, 0x0a, 0x17, 0x70,
	0x65, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x5f, 0x6f, 0x66, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x5f, 0x68, 0x6f, 0x73, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x70, 0x65,
	0x65, 0x72, 0x49, 0x64, 0x4f, 0x66, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x48, 0x6f, 0x73,
	0x74, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x04, 0x20, 0x01, 0x28, 0x02, 0x52, 0x09, 0x74, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x22, 0x2e, 0x0a, 0x10, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x52, 0x75, 0x6e, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x72,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x72,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x51, 0x0a, 0x12, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x1d, 0x0a,
	0x0a, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x09, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x49, 0x64, 0x12, 0x1c, 0x0a, 0x09,
	0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x02, 0x20, 0x01, 0x28, 0x02, 0x52,
	0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x22, 0x31, 0x0a, 0x13, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x4f, 0x75, 0x74, 0x70, 0x75,
	0x74, 0x12, 0x1a, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x8b, 0x01,
	0x0a, 0x0f, 0x4e, 0x74, 0x78, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x6e, 0x70, 0x75,
	0x74, 0x12, 0x22, 0x0a, 0x0d, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x5f, 0x6f, 0x66, 0x5f, 0x6e,
	0x74, 0x78, 0x18, 0x01, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0b, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74,
	0x4f, 0x66, 0x4e, 0x74, 0x78, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x70, 0x65, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x65, 0x65, 0x72, 0x49, 0x64, 0x12, 0x1c, 0x0a,
	0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x04, 0x20, 0x01, 0x28, 0x02,
	0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x22, 0x2e, 0x0a, 0x10, 0x4e,
	0x74, 0x78, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12,
	0x1a, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xb0, 0x05, 0x0a, 0x0d,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x12, 0x4d, 0x0a,
	0x14, 0x6e, 0x65, 0x77, 0x5f, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x6f, 0x6e, 0x62, 0x6f,
	0x61, 0x72, 0x64, 0x65, 0x64, 0x12, 0x18, 0x2e, 0x4e, 0x65, 0x77, 0x44, 0x65, 0x76, 0x69, 0x63,
	0x65, 0x4f, 0x6e, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x65, 0x64, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x1a,
	0x19, 0x2e, 0x4e, 0x65, 0x77, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x4f, 0x6e, 0x62, 0x6f, 0x61,
	0x72, 0x64, 0x65, 0x64, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0x00, 0x12, 0x4d, 0x0a, 0x14,
	0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x5f, 0x63, 0x68,
	0x61, 0x6e, 0x67, 0x65, 0x12, 0x18, 0x2e, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x1a, 0x19,
	0x2e, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x43, 0x68, 0x61,
	0x6e, 0x67, 0x65, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0x00, 0x12, 0x53, 0x0a, 0x16, 0x64,
	0x65, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x63,
	0x68, 0x61, 0x6e, 0x67, 0x65, 0x12, 0x1a, 0x2e, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x49, 0x6e, 0x70, 0x75,
	0x74, 0x1a, 0x1b, 0x2e, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0x00,
	0x12, 0x53, 0x0a, 0x16, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x1a, 0x2e, 0x44, 0x65, 0x76,
	0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x43, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x1a, 0x1b, 0x2e, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x52,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x4f, 0x75, 0x74,
	0x70, 0x75, 0x74, 0x22, 0x00, 0x12, 0x34, 0x0a, 0x0b, 0x6e, 0x65, 0x77, 0x5f, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x12, 0x10, 0x2e, 0x4e, 0x65, 0x77, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x1a, 0x11, 0x2e, 0x4e, 0x65, 0x77, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0x00, 0x12, 0x3d, 0x0a, 0x0e, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x13, 0x2e,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x49, 0x6e, 0x70,
	0x75, 0x74, 0x1a, 0x14, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0x00, 0x12, 0x37, 0x0a, 0x0c, 0x73, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x63, 0x61, 0x6c, 0x6c, 0x12, 0x11, 0x2e, 0x53, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x43, 0x61, 0x6c, 0x6c, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x1a, 0x12, 0x2e,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x43, 0x61, 0x6c, 0x6c, 0x4f, 0x75, 0x74, 0x70, 0x75,
	0x74, 0x22, 0x00, 0x12, 0x34, 0x0a, 0x0b, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x72,
	0x75, 0x6e, 0x12, 0x10, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x75, 0x6e, 0x49,
	0x6e, 0x70, 0x75, 0x74, 0x1a, 0x11, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x75,
	0x6e, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0x00, 0x12, 0x3d, 0x0a, 0x0e, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x5f, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x12, 0x13, 0x2e, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x49, 0x6e, 0x70, 0x75, 0x74,
	0x1a, 0x14, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65,
	0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0x00, 0x12, 0x34, 0x0a, 0x0b, 0x6e, 0x74, 0x78, 0x5f,
	0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x10, 0x2e, 0x4e, 0x74, 0x78, 0x50, 0x61, 0x79,
	0x6d, 0x65, 0x6e, 0x74, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x1a, 0x11, 0x2e, 0x4e, 0x74, 0x78, 0x50,
	0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0x00, 0x42, 0x44,
	0x5a, 0x42, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6e, 0x75, 0x6e,
	0x65, 0x74, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2d, 0x64, 0x61, 0x74, 0x61, 0x62, 0x61, 0x73,
	0x65, 0x2f, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x4c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72,
	0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x5f,
	0x73, 0x70, 0x65, 0x63, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_event_listener_spec_event_listener_proto_rawDescOnce sync.Once
	file_event_listener_spec_event_listener_proto_rawDescData = file_event_listener_spec_event_listener_proto_rawDesc
)

func file_event_listener_spec_event_listener_proto_rawDescGZIP() []byte {
	file_event_listener_spec_event_listener_proto_rawDescOnce.Do(func() {
		file_event_listener_spec_event_listener_proto_rawDescData = protoimpl.X.CompressGZIP(file_event_listener_spec_event_listener_proto_rawDescData)
	})
	return file_event_listener_spec_event_listener_proto_rawDescData
}

var file_event_listener_spec_event_listener_proto_msgTypes = make([]protoimpl.MessageInfo, 21)
var file_event_listener_spec_event_listener_proto_goTypes = []interface{}{
	(*NewDeviceOnboardedInput)(nil),    // 0: NewDeviceOnboardedInput
	(*NewDeviceOnboardedOutput)(nil),   // 1: NewDeviceOnboardedOutput
	(*DeviceStatusChangeInput)(nil),    // 2: DeviceStatusChangeInput
	(*DeviceStatusChangeOutput)(nil),   // 3: DeviceStatusChangeOutput
	(*DeviceResource)(nil),             // 4: DeviceResource
	(*DeviceResourceChangeInput)(nil),  // 5: DeviceResourceChangeInput
	(*DeviceResourceChangeOutput)(nil), // 6: DeviceResourceChangeOutput
	(*DeviceResourceConfigInput)(nil),  // 7: DeviceResourceConfigInput
	(*DeviceResourceConfigOutput)(nil), // 8: DeviceResourceConfigOutput
	(*NewServiceInput)(nil),            // 9: NewServiceInput
	(*NewServiceOutput)(nil),           // 10: NewServiceOutput
	(*ServiceStatusInput)(nil),         // 11: ServiceStatusInput
	(*ServiceStatusOutput)(nil),        // 12: ServiceStatusOutput
	(*ServiceCallInput)(nil),           // 13: ServiceCallInput
	(*ServiceCallOutput)(nil),          // 14: ServiceCallOutput
	(*ServiceRunInput)(nil),            // 15: ServiceRunInput
	(*ServiceRunOutput)(nil),           // 16: ServiceRunOutput
	(*ServiceRemoveInput)(nil),         // 17: ServiceRemoveInput
	(*ServiceRemoveOutput)(nil),        // 18: ServiceRemoveOutput
	(*NtxPaymentInput)(nil),            // 19: NtxPaymentInput
	(*NtxPaymentOutput)(nil),           // 20: NtxPaymentOutput
}
var file_event_listener_spec_event_listener_proto_depIdxs = []int32{
	4,  // 0: DeviceResourceChangeInput.changed_attribute_and_value:type_name -> DeviceResource
	4,  // 1: DeviceResourceConfigInput.changed_attribute_and_value:type_name -> DeviceResource
	0,  // 2: EventListener.new_device_onboarded:input_type -> NewDeviceOnboardedInput
	2,  // 3: EventListener.device_status_change:input_type -> DeviceStatusChangeInput
	5,  // 4: EventListener.device_resource_change:input_type -> DeviceResourceChangeInput
	7,  // 5: EventListener.device_resource_config:input_type -> DeviceResourceConfigInput
	9,  // 6: EventListener.new_service:input_type -> NewServiceInput
	11, // 7: EventListener.service_status:input_type -> ServiceStatusInput
	13, // 8: EventListener.service_call:input_type -> ServiceCallInput
	15, // 9: EventListener.service_run:input_type -> ServiceRunInput
	17, // 10: EventListener.service_remove:input_type -> ServiceRemoveInput
	19, // 11: EventListener.ntx_payment:input_type -> NtxPaymentInput
	1,  // 12: EventListener.new_device_onboarded:output_type -> NewDeviceOnboardedOutput
	3,  // 13: EventListener.device_status_change:output_type -> DeviceStatusChangeOutput
	6,  // 14: EventListener.device_resource_change:output_type -> DeviceResourceChangeOutput
	8,  // 15: EventListener.device_resource_config:output_type -> DeviceResourceConfigOutput
	10, // 16: EventListener.new_service:output_type -> NewServiceOutput
	12, // 17: EventListener.service_status:output_type -> ServiceStatusOutput
	14, // 18: EventListener.service_call:output_type -> ServiceCallOutput
	16, // 19: EventListener.service_run:output_type -> ServiceRunOutput
	18, // 20: EventListener.service_remove:output_type -> ServiceRemoveOutput
	20, // 21: EventListener.ntx_payment:output_type -> NtxPaymentOutput
	12, // [12:22] is the sub-list for method output_type
	2,  // [2:12] is the sub-list for method input_type
	2,  // [2:2] is the sub-list for extension type_name
	2,  // [2:2] is the sub-list for extension extendee
	0,  // [0:2] is the sub-list for field type_name
}

func init() { file_event_listener_spec_event_listener_proto_init() }
func file_event_listener_spec_event_listener_proto_init() {
	if File_event_listener_spec_event_listener_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_event_listener_spec_event_listener_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NewDeviceOnboardedInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NewDeviceOnboardedOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeviceStatusChangeInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeviceStatusChangeOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeviceResource); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeviceResourceChangeInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeviceResourceChangeOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeviceResourceConfigInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeviceResourceConfigOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NewServiceInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NewServiceOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServiceStatusInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServiceStatusOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServiceCallInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServiceCallOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServiceRunInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServiceRunOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServiceRemoveInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServiceRemoveOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NtxPaymentInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_event_listener_spec_event_listener_proto_msgTypes[20].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NtxPaymentOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_event_listener_spec_event_listener_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   21,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_event_listener_spec_event_listener_proto_goTypes,
		DependencyIndexes: file_event_listener_spec_event_listener_proto_depIdxs,
		MessageInfos:      file_event_listener_spec_event_listener_proto_msgTypes,
	}.Build()
	File_event_listener_spec_event_listener_proto = out.File
	file_event_listener_spec_event_listener_proto_rawDesc = nil
	file_event_listener_spec_event_listener_proto_goTypes = nil
	file_event_listener_spec_event_listener_proto_depIdxs = nil
}
